<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgeInfoMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgeInfo" id="KnowledgeInfoResult">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="knowledgeId" column="knowledge_id"/>
        <result property="knowledgeName" column="knowledge_name"/>
        <result property="share" column="share"/>
        <result property="description" column="description"/>
        <result property="knowledgeSeparator" column="knowledge_separator"/>
        <result property="questionSeparator" column="question_separator"/>
        <result property="overlapChar" column="overlap_char"/>
        <result property="retrieveLimit" column="retrieve_limit"/>
        <result property="textBlockSize" column="text_block_size"/>
        <result property="vectorModelName" column="vector_model_name"/>
        <result property="embeddingModelName" column="embedding_model_name"/>
        <result property="systemPrompt" column="system_prompt"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectKnowledgeInfoVo">
        select id,
               user_id,
               knowledge_id,
               knowledge_name,
               share,
               description,
               knowledge_separator,
               question_separator,
               overlap_char,
               retrieve_limit,
               text_block_size,
               vector_model_name,
               embedding_model_name,
               system_prompt,
               create_by,
               create_time,
               update_by,
               update_time,
               remark
        from knowledge_info
    </sql>

</mapper>